Gtk_Pixmap(3)

NAME - Gtk_Pixmap

HEADER REQUIRED
#include <gtk--/pixmap.h&gt;>

BASE CLASSES
Gtk_Misc(3)

PROPERTIES

pixmap
    Type: Gdk_Pixmap
    Get: get()
    Set: set()

     Pixmap to be displayed normally.

mask
    Type: Gdk_Bitmap
    Get: get()
    Set: set()

     Mask defining outlines of pixmap.

pixmap_insensitive
    Type: Gdk_Pixmap

     (Gtk 1.1) The pixmap used when the widget is in the insensitive state. This is a cache and is not directly setable.

build_insensitive
    Type: bool
    Set: build_insensitive()

     (Gtk 1.1) Specifies that Gtk is to create a greyed out version of pixmap to use in insensitive states.

PUBLIC MEMBER INDEX
    Gtk_Pixmap();
      Construct an empty pixmap.
    Gtk_Pixmap(Gtk_Widget &w, const _gtk_string &xpmfilename);
      Load a pixmap form file.
    Gtk_Pixmap(Gtk_Widget &w, const gchar * const *data);
      Create a pixmap from data.
    Gtk_Pixmap(const Gdk_Pixmap &pixmap, const Gdk_Bitmap &mask);
      Create using specified {pixmap} and {mask}.
    Gtk_Pixmap(GtkPixmap *castitem);
    void  set(const Gdk_Pixmap &pixmap, const Gdk_Bitmap &mask);
      Set the {pixmap} and border {mask}.
    void  get(Gdk_Pixmap &pixmap, Gdk_Bitmap &mask) const;
      Get the {pixmap} and border {mask}.
    void  set_build_insensitive(bool build);
      (Gtk 1.1) Build an special pixmap for insensitive states.
    GtkPixmap*  gtkobj();
    const GtkPixmap*  gtkobj() const;
    static bool  isGtkPixmap(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkPixmap  BaseObjectType;
    typedef GtkPixmapClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Widget * ref_widget_;
    const _gtk_string  xpm_file_name_;
    const gchar * const * data_;
    void  pixmap_realize();

PRIVATE MEMBER INDEX
    static CppClassType  pixmap_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_Pixmap::Gtk_Pixmap ();
    Construct an empty pixmap..
    Note that default constructor puts Pixmap objects to invalid state and you should not show it or add it to containers before you've set() the pixmap and mask for it.

Gtk_Pixmap::Gtk_Pixmap (Gtk_Widget &w, const gchar * const *data);
    Create a pixmap from data..
    data must live until Pixmap is realized

void  Gtk_Pixmap::set_build_insensitive (bool build);
    (Gtk 1.1) Build an special pixmap for insensitive states..
    Setting this switch will cause Gtk to build a greyed out version on the specified pixmap.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS